Subject: Re: [take26-resend1 0/8] kevent: Generic event handling mechanism.

From: Jeff Garzik <[email-masked]>
Date: Tue, 12 Dec 2006 08:39:33 -0500

Evgeniy Polyakov wrote:
> On Mon, Dec 11, 2006 at 10:16:30AM -0500, Jeff Garzik ([email-masked]) wrote:
>> Comments:
>>
>> * [oh, everybody will hate me for saying this, but...]  to me, "kevent" 
>> implies an internal kernel subsystem.  I would rather call it "uevent" 
>> or anything else lacking a 'k' prefix.
> 
> It is kernel subsystem indeed, which exports some of its part to
> userspace.
> I previously thought that prefix 'k' can only be confused with KDE.

It is a true statement to say "without the kevent subsystem, userspace 
lacks uevent handling".

And let's be honest, the main consumers of this will be userspace apps, 
and a few in-kernel users pretending to be userspace apps (kernel threads).

	Jeff